# trace_transaction: 매개변수, 반환값 및 CU

> Source: https://docs.blockvectra.com/ko/api/json-rpc/methods/trace_transaction/

## 개요

트랜잭션 실행 중에 생성된 모든 트레이스 항목을 반환합니다. ([공식 문서](https://docs.nethermind.io/interacting/json-rpc-ns/trace/#trace_transaction))

## 연산 단위(CU) 및 요금

- 호출당 CU: 100 CU
- 1M 호출당 가격(USD): $10.00

## 파라미터

| 파라미터 | 타입 | 설명 |
| --- | --- | --- |
| `transactionHash` | `HASH` | 조회할 32바이트 트랜잭션 해시(0x 접두사 16진수). |

## 반환값

- **타입**: `ARRAY`
- **설명**: 트랜잭션 실행 중에 기록된 트레이스 객체 배열(실행 순서대로 정렬).

## 참고사항

trace_transaction은 Parity/OpenEthereum 스타일의 트레이스 모듈이 활성화된 체인에서 지원됩니다(아래 지원 체인 표 참조). 상태 윈도우를 벗어난 블록은 -32011을 반환하고 알 수 없는 해시는 -32000을 반환하며 둘 다 과금되지 않습니다. Geth 스타일의 호출 트리를 원하면 debug_traceTransaction을 사용하세요.

## 요청 예제

```bash
export BLOCKVECTRA_API_KEY=rgw_your_api_key

curl -X POST "https://api.blockvectra.com/v1/eth_mainnet" \
  -H 'Content-Type: application/json' \
  -H "x-api-key: $BLOCKVECTRA_API_KEY" \
  -d '{
    "jsonrpc": "2.0",
    "method": "trace_transaction",
    "params": [
      "<transactionHash>"
    ],
    "id": 1
  }'
```

## 지원 체인

다음 체인을 제외한 모든 지원 체인에서 사용할 수 있습니다: Arbitrum One (arb_mainnet), Base (base_mainnet), BNB Smart Chain (bsc_mainnet), Ethereum Sepolia (eth_sepolia), HyperEVM (hyperevm_mainnet), Polygon (polygon_mainnet), Robinhood Chain (robinhood_mainnet), Robinhood Chain Testnet (robinhood_testnet).
